P5PB(4)

NAME
p5pb - Phase5 PCI bridge driver

SYNOPSIS
p5pb0 at p5bus0
pci* at p5pb?
genfb* at pci?
options P5PB_DEBUG

DESCRIPTION
The p5pb driver provides support for the PCI bus present on various devices equipped with the Phase5 PCI bridge.

The p5pb driver provides necessary support for CyberVisionPPC and BlizzardVisionPPC, allowing attachment of genfb(4) driver.

Additional, excessive debugging output is enabled by the P5PB_DEBUG option.

HARDWARE
The p5pb driver supports the following hardware:

Phase5 BlizzardVisionPPC graphics card

Phase5 CyberVisionPPC graphics card

DCE Computer G-REX 1200 (experimental, first slot only)

DCE Computer G-REX 4000 (experimental, first slot only)

SEE ALSO
cv3dpb(4), genfb(4), p5membar(4), pci(4)

HISTORY
The p5pb device first appeared in NetBSD 6.0.

AUTHORS
-nosplit The p5pb driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>.

CAVEATS
The NetBSD developers don't have access to G-REX hardware or documentation. Support for this device is based on best wishes.

Support for genfb(4) framebuffer on CVPPC/BVPPC needs more testing.

BUGS
DMA to host memory is not supported. This is a driver limitation.